# Interface methods for submodule: PointsLocator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: PointsLocator
class PointsLocatorProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetPoints(self, _arg) -> None:
		""""""
		...

	def GetModifiablePoints(self):
		""""""
		...

	def GetPoints(self):
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def FindClosestPoint(self, query: Sequence[float]) -> int:
		""""""
		...

	@overload
	def FindClosestNPoints(self, arg0: Sequence[float], arg1: int, arg2: Sequence[int]) -> None:
		""""""
		...

	@overload
	def FindClosestNPoints(self, arg0: Sequence[float], arg1: int, arg2: Sequence[int], arg3: Sequence[float]) -> None:
		""""""
		...

	def FindPointsWithinRadius(self, arg0: Sequence[float], arg1: float, arg2: Sequence[int]) -> None:
		""""""
		...

